Logo
OpenScaler
API DocumentationComputer Flavors/Sizes

Get load balancer size

GET
/v1/lb-sizes/{slug}

Retrieve a load balancer size by slug.

Authorization

bearer_auth
AuthorizationBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Path Parameters

slug*string

Load balancer size slug.

Response Body

application/json

application/json

text/pain

application/json

application/json

curl -X GET "https://example.com/v1/lb-sizes/string"
{  "size": {    "id": "lb-small",    "name": "Small",    "description": "Entry-level load balancer size",    "disabled": false,    "vm_size": {      "id": "b-1-500mb-10",      "class": "Basic",      "memory": 1024,      "vcpus": 1,      "disk": 25,      "transfer": 1,      "price_monthly": 5,      "price_hourly": 0.00744,      "regions": [        "alg1",        "alg2"      ],      "available": true,      "test_only": false,      "description": "Basic"    }  }}
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n"    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}